Subject: Re: [PATCH 12/14] i2c-parport: return proper error values from attach

From: Wolfram Sang <wsa-z923LK4zBo2bacvFa/[email-masked]>
Date: Thu, 9 Apr 2015 12:25:28 +0200

> It doesn't really matter that the error codes are different, it matters
> that they are meaningful. As much as possible you should pass error
> codes from the lower layers. parport_claim_or_block() and
> i2c_bit_add_bus() return proper error codes so you should record and
> transmit them.

Oh, surely yes. I assumed they don't and this series is a first step to
fix this. Should have looked myself. Thanks for jumping in here.